List Refunds - Flex Documentation
List Refunds
cURL
curl --request GET \
--url https://api.withflex.com/v1/refunds \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.withflex.com/v1/refunds"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.withflex.com/v1/refunds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Response Codes
- 200
- 401
- 403
- 404
- 409
- 422
- 429
Sample Response
{
"refunds": [
{
"refund_id": "fre_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"payment_intent_id": "fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"amount": 2500,
"created_at": "2026-06-15T14:30:00Z",
"status": "pending",
"test_mode": false,
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"reference_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"items": [],
"subscription_id": "fsub_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"invoice_id": "fin_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
}
]
}
Error Responses
{
"code": "string",
"detail": "string"
}
Query Parameters
status: enum
| null - Filter by refund status.
- Available options:
pending,requires_action,succeeded,failed,canceled - Example:
"pending"
payment_intent: string | null
- Filter by payment intent ID.
- Example:
"fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
checkout_session: string | null
- Filter by checkout session ID.
- Example:
"fcs_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
starting_after: string | null
- A cursor for pagination. Example:
"fre_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
- A cursor for pagination. Example:
ending_before: string | null
- A cursor for pagination. Example:
"fre_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
- A cursor for pagination. Example:
limit: integer
| null - A limit on the number of objects to be returned. Range:
1 to 100. Default:20. - Example:
10
- A limit on the number of objects to be returned. Range:
Response
200
- application/json
- An envelope wrapping a list of refund objects.
Refund Objects
- refunds: object[] (required) \n The list of refund objects.